EUCA-COPY-IMAGE(1)

NAME
euca-copy-image - Copy an image from another region

SYNOPSIS
euca-copy-image -r REGION -s IMAGE [-n NAME] [-d DESC] [-c TOKEN]

[--show-empty-fields] [-U URL] [--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Copy an image from another region

DESCRIPTION
Run this command against the destination region, not the source region.

  optional arguments:

-r REGION, --source-region REGION
    name of the region to copy the image from (required)

-s IMAGE, --source-ami-id IMAGE
    ID of the image to copy (required)

-n NAME, --name NAME
    name to assign the new copy of the image

-d DESC, --description DESC
    description to assign the new copy of the image

-c TOKEN, --client-token TOKEN
    unique identifier to ensure request idempotency

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit